/**
 * Created by robin on 01/31/16.
 */

(function () {
    'use strict';
    angular.module('luticateAuth')
        .factory('luticateAuthSettingsUserDataAccess', ['luticateRequest',
            function(luticateRequest) {

                var luticateAuthSettingsUser = {};
                var url = "/api/luticate/settings/user/";

                luticateAuthSettingsUser.getAll = function(data, promise)
                {
                    return luticateRequest.get(url + data.user_id, data, promise);
                };

                luticateAuthSettingsUser.get = function(data, promise)
                {
                    return luticateRequest.get(url + data.user_id + "/" + data.setting_name, null, promise);
                };

                luticateAuthSettingsUser.edit = function(data, promise)
                {
                    return luticateRequest.post(url + data.user_id + "/" + data.setting_name + "/edit",
                        {setting: JSON.stringify(data.setting)}, null, promise);
                };

                luticateAuthSettingsUser.editMe = function(data, promise)
                {
                    data.user_id = "me";
                    return luticateAuthSettingsUser.edit(data, promise);
                };

                return luticateAuthSettingsUser;
        }]);
})();